Subject: Re: bug#16594: 24.3.50; very slow redraw when resizing windows horizontally

From: Darren Hoo <[email-masked]>
Date: Sun, 02 Feb 2014 13:28:54 +0800

Paul Eggert <[email-masked]> writes:

>
> Continuing on my guess, which may well be a wild goose chase, can you
> use DTrace to see what system calls the offending Emacs is executing?

I earlier used Xcode's instrument which I believe just interprets the
output from Dtrace/Dtruss. This argb32_image_mark_rgb32 low level call
is the top one which is in turn called by x_write_glyphs up on the call
tree. But as Eli has pointed out and I quote:

   Given that dragging the divider involves redrawing every line in
   every window, these times are entirely reasonable.

So it seems to me that this information I gave earlier is just misleading.

> I'm curious about how often timers are expiring during the
> misbehavior, and even if I'm wrong DTrace is often your friend for
> this sort of problem.

How can I get this timers expiring info by using Dtrace? A recipe to do
that is appreciated.